# -*- coding: utf-8 -*-
"""
    Copy2 program verze 1.4
    ~~~~~~~~~~~~~~~~~~~~~~~

    :copyright: (c) 2013 by Dominik Janku, djanku@sits.cz
"""

from __future__ import unicode_literals

import os
import glob
import sys
from time import sleep
import ConfigParser
import datetime
import xml.sax
import urllib2
import logging
from collections import defaultdict

import pygtk
pygtk.require20()
import gtk

def show_error_dialog(parent, message, title=None):
    dlg = gtk.MessageDialog(parent, gtk.DIALOG_MODAL, gtk.MESSAGE_ERROR, gtk.BUTTONS_CLOSE, message)
    if title is not None:
        dlg.set_title('Chyba při zápisu do souboru')
    dlg.run()
    dlg.destroy()


# Predne zkontroluji, zda program bezi na podporovane plaforme (windows, linux)
if not sys.platform.startswith('win') and not sys.platform.startswith('linux'):
    show_error_dialog(None, u'Váš operační systém není bohužel podporován.')
    exit(1)




class Copy2MainGUI(object):
    global i
    def __init__(self):
        self.gladefile = 'sync.glade'
        self.glade = gtk.Builder()
        self.glade.add_from_file(self.gladefile)
        self.glade.connect_signals(self)
        self.window = self.glade.get_object('win_sync')
        self.window.connect('destroy', lambda f: gtk.main_quit())
        self.window.show_all()
        self.progress_total = self.glade.get_object('progress_total')

    def on_btn_cancel_clicked(self, button):
        """
        Potvrzeni vytvoreni vybranych akci ze serveru.
        """
        #self.statusicon.set_property('visible', False)
        print 'cancel;'
        gtk.main_quit()
        sys.exit(0)

    def process_gui_events(self):
        while gtk.events_pending():
            gtk.main_iteration()

    def on_btn_minus_clicked(self,button):
        global i
        print "minus"
        self.progress_total.set_fraction(0.)
        i=0

    def on_btn_plus_clicked(self,button):
        global i
        for i in range( 0 , 100 ):
            self.progress_total.set_fraction(float(i)/100)
            self.process_gui_events()
            sleep(0.1)
            print "plus"

pass



if __name__ == '__main__':
    app = Copy2MainGUI()
    gtk.main()
